### Enumeration

# GObject ParamFlags

since: 2.0

#### Declaration

    flags GObject.ParamFlags

#### Description

Through the `GParamFlags` flag values, certain aspects of parameters can be configured.

See also: `G_PARAM_STATIC_STRINGS`.

Available since: 2.0

#### Members

`G_PARAM_READABLE`

  The parameter is readable.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_WRITABLE`

  The parameter is writable.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_READWRITE`

  Alias for `G_PARAM_READABLE` | `G_PARAM_WRITABLE`.

  - Value: `3`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_CONSTRUCT`

  The parameter will be set upon object construction.

  - Value: `4`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_CONSTRUCT_ONLY`

  The parameter can only be set upon object construction.

  - Value: `8`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_LAX_VALIDATION`

  Upon parameter conversion (see g_param_value_convert()) strict validation is not required.

  - Value: `16`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_STATIC_NAME`

  The string used as name when constructing the parameter is guaranteed to remain valid and unmodified for the lifetime of the parameter. Since 2.8

  - Value: `32`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_PRIVATE`

  Internal.

  - Value: `32`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_STATIC_NICK`

  The string used as nick when constructing the parameter is guaranteed to remain valid and unmmodified for the lifetime of the parameter. Since 2.8

  - Value: `64`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_STATIC_BLURB`

  The string used as blurb when constructing the parameter is guaranteed to remain valid and unmodified for the lifetime of the parameter. Since 2.8

  - Value: `128`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_EXPLICIT_NOTIFY`

  Calls to `g_object_set_property()` for this property will not automatically result in a “notify” signal being emitted: the implementation must call `g_object_notify()` themselves in case the property actually changes. Since: 2.42.

  - Value: `1073741824`
  - Nickname: `None`
  - Available since: 2.0
`G_PARAM_DEPRECATED`

  The parameter is deprecated and will be removed in a future version. A warning will be generated if it is used while running with G_ENABLE_DIAGNOSTIC=1. Since 2.26

  - Value: `2147483648`
  - Nickname: `None`
  - Available since: 2.0